Manifest-Version: 1.0
Bnd-LastModified: 1770638701477
Bundle-ClassPath: .,lib/error_prone_annotations-2.5.1.jar,lib/failurea
 ccess-1.0.1.jar,lib/guava-30.1.1-jre.jar,lib/checker-qual-2.5.2.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Security SSO Token Implementation
Bundle-SymbolicName: com.liferay.portal.security.sso.token.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.12.hotfix-10453-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.osgi.service.tracker.collections.map;versi
 on="2.2",com.liferay.petra.string;version="1.5",com.liferay.portal.co
 nfiguration.persistence.upgrade;version="1.0",com.liferay.portal.kern
 el.configuration;version="6.3",com.liferay.portal.kernel.events;versi
 on="6.3",com.liferay.portal.kernel.exception;version="9.7",com.lifera
 y.portal.kernel.log;version="7.0",com.liferay.portal.kernel.model;ver
 sion="5.7",com.liferay.portal.kernel.module.configuration;version="2.
 0",com.liferay.portal.kernel.security.auto.login;version="2.0",com.li
 feray.portal.kernel.service;version="4.21",com.liferay.portal.kernel.
 settings;version="3.1",com.liferay.portal.kernel.settings.definition;
 version="1.0",com.liferay.portal.kernel.upgrade;version="8.8",com.lif
 eray.portal.kernel.util;version="10.42",com.liferay.portal.security.e
 xportimport;version="1.0",com.liferay.portal.security.sso.token.confi
 guration;version="1.0",com.liferay.portal.security.sso.token.constant
 s;version="1.0",com.liferay.portal.security.sso.token.events;version=
 "2.0",com.liferay.portal.security.sso.token.security.auth;version="2.
 0",com.liferay.portal.upgrade.registry;version="3.1",com.liferay.port
 al.util;version="4.30",javax.annotation,javax.crypto,javax.crypto.spe
 c,javax.lang.model.element,javax.servlet.http,org.osgi.framework;vers
 ion="1.8",sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Security SSO
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.security.sso.token.internal.auto.l
 ogin,com.liferay.portal.security.sso.token.internal.configuration.def
 inition,com.liferay.portal.security.sso.token.internal.events,com.lif
 eray.portal.security.sso.token.internal.security.auth,com.liferay.por
 tal.security.sso.token.internal.settings.definition,com.liferay.porta
 l.security.sso.token.internal.upgrade,com.liferay.portal.security.sso
 .token.internal.upgrade.v2_0_0,lib,com.google.errorprone.annotations,
 com.google.errorprone.annotations.concurrent,com.google.common.util.c
 oncurrent.internal,com.google.common.annotations,com.google.common.ba
 se,com.google.common.base.internal,com.google.common.cache,com.google
 .common.collect,com.google.common.escape,com.google.common.eventbus,c
 om.google.common.graph,com.google.common.hash,com.google.common.html,
 com.google.common.io,com.google.common.math,com.google.common.net,com
 .google.common.primitives,com.google.common.reflect,com.google.common
 .util.concurrent,com.google.common.xml,com.google.thirdparty.publicsu
 ffix,org.checkerframework.checker.compilermsgs.qual,org.checkerframew
 ork.checker.fenum.qual,org.checkerframework.checker.formatter,org.che
 ckerframework.checker.formatter.qual,org.checkerframework.checker.gui
 effect.qual,org.checkerframework.checker.i18n.qual,org.checkerframewo
 rk.checker.i18nformatter,org.checkerframework.checker.i18nformatter.q
 ual,org.checkerframework.checker.index.qual,org.checkerframework.chec
 ker.initialization.qual,org.checkerframework.checker.interning.qual,o
 rg.checkerframework.checker.lock.qual,org.checkerframework.checker.nu
 llness,org.checkerframework.checker.nullness.qual,org.checkerframewor
 k.checker.optional.qual,org.checkerframework.checker.propkey.qual,org
 .checkerframework.checker.regex,org.checkerframework.checker.regex.qu
 al,org.checkerframework.checker.signature.qual,org.checkerframework.c
 hecker.signedness,org.checkerframework.checker.signedness.qual,org.ch
 eckerframework.checker.tainting.qual,org.checkerframework.checker.uni
 ts,org.checkerframework.checker.units.qual,org.checkerframework.commo
 n.aliasing.qual,org.checkerframework.common.reflection.qual,org.check
 erframework.common.util.report.qual,org.checkerframework.common.value
 .qual,org.checkerframework.dataflow.qual,org.checkerframework.framewo
 rk.qual,org.checkerframework.framework.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.events.LifecycleAction";uses:="com.liferay.portal.kern
 el.events",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.security.auto.login.AutoLogin";uses:="com.liferay.portal.kerne
 l.security.auto.login",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.settings.definition.ConfigurationBeanDeclaration";
 uses:="com.liferay.portal.kernel.settings.definition",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.settings.definition
 .ConfigurationPidMapping";uses:="com.liferay.portal.kernel.settings.d
 efinition",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.util.CookiesDomain";uses:="com.liferay.portal.kernel.util",osg
 i.service;objectClass:List<String>="com.liferay.portal.security.sso.t
 oken.events.LogoutProcessor";uses:="com.liferay.portal.security.sso.t
 oken.events",osgi.service;objectClass:List<String>="com.liferay.porta
 l.security.sso.token.security.auth.TokenRetriever";uses:="com.liferay
 .portal.security.sso.token.security.auth",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrato
 r";uses:="com.liferay.portal.upgrade.registry"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.configuration.persistence.upgrade.Configu
 rationUpgradeStepFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.module.configuration.Configurati
 onProvider)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.UserLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Port
 al)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.security.exportimport.UserImporter)";effective:=active,osgi.c
 ontract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServl
 et)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8)
 )"
Service-Component: OSGI-INF/com.liferay.portal.security.sso.token.inte
 rnal.auto.login.TokenAutoLogin.xml,OSGI-INF/com.liferay.portal.securi
 ty.sso.token.internal.configuration.definition.TokenCompanyServiceCon
 figurationPidMapping.xml,OSGI-INF/com.liferay.portal.security.sso.tok
 en.internal.events.CookieLogoutProcessor.xml,OSGI-INF/com.liferay.por
 tal.security.sso.token.internal.events.RedirectLogoutProcessor.xml,OS
 GI-INF/com.liferay.portal.security.sso.token.internal.events.TokenLog
 outAction.xml,OSGI-INF/com.liferay.portal.security.sso.token.internal
 .security.auth.CookieTokenRetriever.xml,OSGI-INF/com.liferay.portal.s
 ecurity.sso.token.internal.security.auth.CookiesDomainImpl.xml,OSGI-I
 NF/com.liferay.portal.security.sso.token.internal.security.auth.Reque
 stHeaderTokenRetriever.xml,OSGI-INF/com.liferay.portal.security.sso.t
 oken.internal.security.auth.RequestTokenRetriever.xml,OSGI-INF/com.li
 feray.portal.security.sso.token.internal.security.auth.SessionTokenRe
 triever.xml,OSGI-INF/com.liferay.portal.security.sso.token.internal.s
 ettings.definition.TokenCompanyServiceConfigurationBeanDeclaration.xm
 l,OSGI-INF/com.liferay.portal.security.sso.token.internal.upgrade.Por
 talSecuritySSOTokenImplUpgrade.xml
Tool: Bnd-5.3.0.202102221516

